> For the complete documentation index, see [llms.txt](https://docs.groundcover.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.groundcover.com/operate/customize-usage/custom-storage.md).

# Custom storage

Customize groundcover storage volumes for logs, metrics and traces

## 1. Configure a custom Helm values.yaml file

Either create a new custom-values.yaml or edit your existing groundcover values.yaml agent:

<pre class="language-yaml"><code class="lang-yaml"><strong>clickhouse:
</strong><strong>  # logs storage
</strong>  persistence:
    size: 128Gi

victoria-metrics-single:
  # metrics storage
  server:
    persistentVolume:
      size: 100Gi 
</code></pre>

## 2. Upgrade groundcover

### If your StorageClass support allowVolumeExpansion

#### For groundcover CLI-based installations

```bash
groundcover deploy -f <custom-values.yaml>
```

#### For helm-based installations

```bash
helm upgrade <groundcover release name> groundcover/groundcover \
    -n <groundcover namespace> --reuse-values -f <custom-values.yaml>
```

### allowVolumeExpansion is not supported

{% hint style="warning" %}
Warning! this will require to re-install groundcover, existing groundcover information will be lost.
{% endhint %}

#### For groundcover CLI-based installations

```bash
groundcover uninstall
# On "delete pvc?" prompt, press Y
groundcover deploy -f <custom-values.yaml>
```

#### For helm-based installations

<pre class="language-bash"><code class="lang-bash"># Uninstall groundcover
helm uninstall &#x3C;groundcover release name> -n &#x3C;groundcover namespace> 
<strong># Delete groundcover namespace (make sure no non-groundcover assets are involved)
</strong><strong>kubectl delete ns &#x3C;groundcover namespace>
</strong><strong># Install groundcover with the updated values
</strong><strong>helm install &#x3C;groundcover release name> groundcover/groundcover \
</strong>    -n &#x3C;groundcover namespace> --reuse-values -f &#x3C;custom-values.yaml>
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.groundcover.com/operate/customize-usage/custom-storage.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
